Package owl.ltl

## Class Disjunction

- java.lang.Object
- - owl.ltl.AbstractFormula
  - - owl.ltl.PropositionalFormula
    - - owl.ltl.Disjunction

- All Implemented Interfaces:
    `Formula`

      public final class Disjunction
      extends PropositionalFormula

- - ### Field Summary

    - ### Fields inherited from class owl.ltl.PropositionalFormula

      `children`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Disjunction​(Collection<? extends Formula> disjuncts)` |
    `Disjunction​(Stream<? extends Formula> formulaStream)` |
    `Disjunction​(Formula... disjuncts)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<A,B> A` | `accept​(BinaryVisitor<B,A> v, B parameter)` |
    `int` | `accept​(IntVisitor v)` |
    `<R> R` | `accept​(Visitor<R> v)` |
    `protected char` | `getOperator()` |
    `protected int` | `hashCodeOnce()` |
    `Formula` | `nnf()` |
    `Formula` | `not()` | Syntactically negate this formula.
    `static Formula` | `of​(Iterable<? extends Formula> iterable)` |
    `static Formula` | `of​(Iterator<? extends Formula> iterator)` |
    `static Formula` | `of​(Stream<? extends Formula> stream)` |
    `static Formula` | `of​(Formula... formulas)` |
    `static Formula` | `of​(Formula left, Formula right)` |
    `Formula` | `temporalStep​(BitSet valuation)` | Do a single temporal step.
    `Formula` | `temporalStepUnfold​(BitSet valuation)` | Short-cut operation to avoid intermediate construction of formula ASTs.
    `Formula` | `unfold()` |
    `Formula` | `unfoldTemporalStep​(BitSet valuation)` | Short-cut operation to avoid intermediate construction of formula ASTs.

    - ### Methods inherited from class owl.ltl.AbstractFormula

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class owl.ltl.PropositionalFormula

      `allMatch, anyMatch, equals2, forEach, isPureEventual, isPureUniversal, isSuspendable, map, shortCircuit, toString`

- - ### Constructor Detail

    - #### Disjunction

          public Disjunction​(Collection<? extends Formula> disjuncts)

    - #### Disjunction

          public Disjunction​(Formula... disjuncts)

    - #### Disjunction

          public Disjunction​(Stream<? extends Formula> formulaStream)

  - ### Method Detail

    - #### of

          public static Formula of​(Formula left,
                                   Formula right)

    - #### of

          public static Formula of​(Formula... formulas)

    - #### of

          public static Formula of​(Iterable<? extends Formula> iterable)

    - #### of

          public static Formula of​(Stream<? extends Formula> stream)

    - #### of

          public static Formula of​(Iterator<? extends Formula> iterator)

    - #### accept

          public int accept​(IntVisitor v)

    - #### accept

          public <R> R accept​(Visitor<R> v)

    - #### accept

          public <A,B> A accept​(BinaryVisitor<B,A> v,
                                B parameter)

    - #### getOperator

          protected char getOperator()

      Specified by:
        `getOperator` in class `PropositionalFormula`

    - #### hashCodeOnce

          protected int hashCodeOnce()

      Specified by:
        `hashCodeOnce` in class `AbstractFormula`

    - #### nnf

          public Formula nnf()

    - #### not

          public Formula not()

      Description copied from interface: `Formula`
      Syntactically negate this formula.

      If this formula is in NNF, the returned negation will also be in NNF.

      Returns:
        the negation of this formula.

    - #### temporalStep

          public Formula temporalStep​(BitSet valuation)

      Description copied from interface: `Formula`
      Do a single temporal step. This means that one layer of X-operators is removed and literals are replaced by their valuations.

    - #### temporalStepUnfold

          public Formula temporalStepUnfold​(BitSet valuation)

      Description copied from interface: `Formula`
      Short-cut operation to avoid intermediate construction of formula ASTs.

    - #### unfold

          public Formula unfold()

    - #### unfoldTemporalStep

          public Formula unfoldTemporalStep​(BitSet valuation)

      Description copied from interface: `Formula`
      Short-cut operation to avoid intermediate construction of formula ASTs.